Skip to main content
POST
Count records

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body schema.

workflowUuid
string<uuid>
required

Workflow identifier.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
userUuid
string<uuid>

User identifier to filter by.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
ids
string[]

Record IDs to include.

title
string

Record title to match.

titleOrId
string

Record title or ID to match.

releaseUuid
string<uuid>

Release identifier to filter by.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
batchUuid
string<uuid>

Batch identifier to filter by.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
statuses
enum<string>[]

Record statuses to include.

Available options:
pending,
running,
success,
error,
cancelled,
cancelling
parentBatchUuid
string<uuid>

Parent batch identifier to filter by.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
parentRunUuid
string<uuid>

Parent run identifier to filter by.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
parentNodeUuid
string<uuid>

Parent node identifier to filter by.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
isGroupParent
boolean

Whether to select group parent records.

executionsFilter
Executions filter · object

Execution filters for matching records.

createdAfter
string

Include records created after this timestamp.

createdBefore
string

Include records created before this timestamp.

updatedAfter
string

Include records updated after this timestamp.

updatedBefore
string

Include records updated before this timestamp.

Response

Successful response

count
number
required

Number of records matching the filter.